singleton Material(lfa_paint)
{
    mapTo = "lfa_paint";
    diffuseMap[2] = "vehicles/lfa/lfa_c.dds";
    diffuseMap[1] = "vehicles/lfa/lfa_d.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    specularColor[0] = "1 1 1 1";
    specularColor[1] = "1 1 1 1";
    specularColor[2] = "1 1 1 1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
	doubleSided = "1";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_glass)
{
    mapTo = "lfa_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/etkc/etkc_glass_d.dds";
    opacityMap[0] = "vehicles/etkc/etkc_glass_d.dds";
    diffuseMap[1] = "vehicles/etkc/etkc_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_defroster)
{
    mapTo = "lfa_defroster";
    diffuseMap[0] = "vehicles/lfa/lfa_defroster_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_glass_black)
{
    mapTo = "lfa_glass_black";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/lfa/lfa_black_d.dds";
    opacityMap[0] = "vehicles/lfa/lfa_black_d.dds";
    diffuseMap[1] = "vehicles/lfa/lfa_black_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_glass_int)
{
    mapTo = "lfa_glass_int";
    diffuseMap[0] = "vehicles/etkc/etkc_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_glass_dmg)
{
    mapTo = "lfa_glass_dmg";
    diffuseMap[0] = "vehicles/etkc/etkc_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/etkc/etkc_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/etkc/etkc_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_windshield_dmg)
{
    mapTo = "lfa_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/etkc/etkc_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_interior)
{
    mapTo = "lfa_interior";
    diffuseMap[0] = "lfa_interior_d.png";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    emissive[0] = "0";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_screen)
{
    mapTo = "lfa_screen";
    diffuseMap[0] = "@lfa_screen";
    reflectivityMap[0] = "lfa_screen_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
	emissive[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_leather)
{
   mapTo = "lfa_leather";
    diffuseMap[0] = "vehicles/lfa/lfa_leather_d.dds";
	normalMap[0] = "vehicles/lfa/lfa_leather_n.dds";
	reflectivityMap[0] = "vehicles/lfa/lfa_leather_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_plastic)
{
    mapTo = "lfa_plastic";
    diffuseMap[0] = "vehicles/lfa/lfa_plastic_d.dds";
	normalMap[0] = "vehicles/lfa/lfa_plastic_n.dds";
    diffuseColor[0] = "1 1 1 0.01";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_carpet)
{
    mapTo = "lfa_carpet";
    diffuseMap[0] = "vehicles/lfa/lfa_carpet_d.dds";
    diffuseColor[0] = "1 1 1 0.01";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_alcantara)
{
    mapTo = "lfa_alcantara";
    diffuseMap[0] = "vehicles/lfa/lfa_alcantara_d.dds";
	normalMap[0] = "vehicles/lfa/lfa_alcantara_n.dds";
    diffuseColor[0] = "1 1 1 0.01";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_leather_stitching)
{
   mapTo = "lfa_leather_stitching";
    diffuseMap[0] = "vehicles/lfa/lfa_leather_stitching_d.dds";
	normalMap[0] = "vehicles/lfa/lfa_leather_stitching_n.dds";
	reflectivityMap[0] = "vehicles/lfa/lfa_leather_stitching_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_disc)
{
    mapTo = "lfa_disc";
    diffuseMap[0] = "vehicles/lfa/lfa_disc_d.dds";
    diffuseColor[0] = "1 1 1 0.03";
    specularPower[0] = "64";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_chassis)
{
    mapTo = "lfa_chassis";
    diffuseMap[0] = "vehicles/lfa/lfa_chassis_d.dds";
    diffuseColor[0] = "1 1 1 0.03";
    specularPower[0] = "64";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_badges)
{
    mapTo = "lfa_badges";
    diffuseMap[0] = "vehicles/lfa/lfa_badges_o.dds";
    specularMap[0] = "vehicles/lfa/lfa_badges_s.dds";
    normalMap[0] = "vehicles/lfa/lfa_badges_n.dds";
    diffuseMap[1] = "vehicles/lfa/lfa_badges_d.dds";
    specularMap[1] = "vehicles/lfa/lfa_badges_s.dds";
    normalMap[1] = "vehicles/lfa/lfa_badges_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
};

singleton Material(lfa_display)
{
    mapTo = "lfa_display";
    diffuseMap[0] = "vehicles/lfa/lfa_display.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
	emissive[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_gauges_screen)
{
    mapTo = "lfa_gauges_screen";
    diffuseMap[0] = "@lfa_gauges_screen";
    opacityMap[0] = "vehicles/etk800/etk800_gauges_screen.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    emissive[0] = "1";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_digitalgauge_tach)
{
    mapTo = "lfa_digitalgauge_tach";
    diffuseMap[0] = "lfa_digitalgauge_tach.png";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    emissive[0] = "1";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_digitalgauge_shiftlight)
{
    mapTo = "lfa_digitalgauge_shiftlight";
    diffuseMap[0] = "lfa_digitalgauge_shiftlight.png";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    emissive[0] = "1";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_digitalgauge_fuel)
{
    mapTo = "lfa_digitalgauge_fuel";
    diffuseMap[0] = "lfa_digitalgauge_fuel.png";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    emissive[0] = "1";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_digitalgauge_temp)
{
    mapTo = "lfa_digitalgauge_temp";
    diffuseMap[0] = "lfa_digitalgauge_oil.png";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    emissive[0] = "1";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_digitalgauge_speedtext)
{
    mapTo = "lfa_digitalgauge_speedtext";
    diffuseMap[0] = "lfa_digitalgauge_speedtext.png";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    emissive[0] = "1";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_needle)
{
    mapTo = "lfa_needle";
    diffuseMap[0] = "lfa_needle.png";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    emissive[0] = "1";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_misc)
{
    mapTo = "lfa_misc";
    diffuseMap[0] = "lfa_misc_d.dds";
    reflectivityMap[0] = "lfa_misc_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_cf)
{
    mapTo = "lfa_cf";
    diffuseMap[0] = "lfa_cf_d.dds";
    diffuseColor[0] = "1 1 1 0.1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_metal)
{
    mapTo = "lfa_metal";
    diffuseColor[0] = "0.9 0.9 0.9 0.4";
    specularPower[0] = "64";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_lights)
{
    mapTo = "lfa_lights";
    diffuseMap[0] = "lfa_lights_d.dds";
	specularMap[0] = "lfa_lights_s.dds";
    diffuseColor[0] = "1 1 1 0.05";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_lights_dmg)
{
    mapTo = "lfa_lights_dmg";
    diffuseMap[0] = "lfa_lights_dmg_d.dds";
	specularMap[0] = "lfa_lights_s.dds";
    diffuseColor[0] = "1 1 1 0.05";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_lights_on)
{
    mapTo = "lfa_lights_on";
    diffuseMap[1] = "lfa_lights_g.dds";
    diffuseMap[0] = "lfa_lights_d.dds";
	specularMap[0] = "lfa_lights_s.dds";
    diffuseColor[0] = "1 1 1 0.05";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    diffuseColor[1] = "1.5 1.5 1.5 0.5";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
	glow[1] = "1";
	emissive[1] = "1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_lights_on_intense)
{
    mapTo = "lfa_lights_on_intense";
    diffuseMap[1] = "lfa_lights_g.dds";
    diffuseMap[0] = "lfa_lights_d.dds";
	specularMap[0] = "lfa_lights_s.dds";
    diffuseColor[0] = "1 1 1 0.05";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
	glow[1] = "1";
	emissive[1] = "1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_wheel)
{
    mapTo = "lfa_wheel";
    diffuseMap[0] = "lfa_wheel_d.dds";
    reflectivityMap[0] = "lfa_wheel_s.dds";
	normalMap[0] = "lfa_wheel_n.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lfa_reverselight)
{
    mapTo = "lfa_reverselight";
};

singleton Material(lfa_signal_R)
{
    mapTo = "lfa_signal_R";
};

singleton Material(lfa_signal_L)
{
    mapTo = "lfa_signal_L";
};

singleton Material(lfa_headlight)
{
    mapTo = "lfa_headlight";
};

singleton Material(lfa_lowhighbeam)
{
    mapTo = "lfa_lowhighbeam";
};

singleton Material(lfa_runninglight)
{
    mapTo = "lfa_runninglight";
};

singleton Material(lfa_foglight)
{
    mapTo = "lfa_foglight";
};

singleton Material(lfa_chmsl)
{
    mapTo = "lfa_chmsl";
};

singleton Material(lfa_taillight)
{
    mapTo = "lfa_taillight";
};